<?php
session_start();
include('conexion.php');
include('./include/sesiones.php');
if (isset($_SESSION['clie_id'])) {
?>
    <!doctype html>
    <html lang="en" onclick="cerrar();cerrar2()">

    <head>
        <?php
        include('./include/sesiones.php');
        include('./include/head.php');
        ?>
        <div id="div_buscador"></div>
        <?php
        include('./php_menu/menu_categorias.php');
        include('./php_menu/menu_izquierdo.php');
        ?>
    </head>

    <body>
        <section class="home_product_area mb-100">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="section_title" id="ultimos_productos">
                            <div class="shop_area shop_fullwidth ">
                                <br>
                                <div class="section_title">
                                    <h2><span>mi lista de deseos</span></h2>
                                </div>
                                <div id="mis_deseos"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <?php include('include/footer.php') ?>
        <script src="main.js"></script>
        <script src="assets/js/plugins.js"></script>
        <script src="assets/js/main.js"></script>
        <script>
            function buscador() {
                $.get("./php_menu/buscador.php", "", function(data) {
                    $("#div_buscador").html(data);
                })
            }
            buscador();

            function loadDeseos() {
                $.get("./php_tienda/tabla_articulos_deseos.php", "", function(data) {
                    $("#mis_deseos").html(data);
                })
            }
            buscador();
            loadDeseos();


            function envia_carrito1(art_id, cantidad) {
                var parametros = {
                    "art_id": art_id,
                    "cantidad": cantidad
                };
                $.ajax({
                    data: parametros,
                    url: './php_tienda/sessiones_cart.php',
                    type: 'POST',
                    beforeSend: function() {
                        $('#resultados').html('');
                    },
                    success: function(datos) {
                        $("#resultados").html(datos);
                        buscador();
                        loadDeseos();
                    }
                });
            }



            function eliminar_deseo(art_id) {
                var parametros = {
                    "art_id": art_id
                };
                $.ajax({
                    data: parametros,
                    url: './php_tienda/eliminar_deseo.php',
                    type: 'POST',
                    beforeSend: function() {
                        $('#mis_deseos').html('');
                    },
                    success: function(datos) {
                        $("#mis_deseos").html(datos);
                        buscador();
                        loadDeseos();
                    }
                });
            }
        </script>
        <div id="resultados"></div>
    </body>

    </html>
<?php

} else {
    header('Location: login.php?voy_deseo=si');
} ?>